//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/
// 
#if !defined(AFX_ADJUSTTORSIONDIALOG_H__D74815D5_E2F8_11D3_A364_00C04F72D141__INCLUDED_)
#define AFX_ADJUSTTORSIONDIALOG_H__D74815D5_E2F8_11D3_A364_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AdjustTorsionDialog.h : header file
//

#define		WM_TOR_CLOSE	(WM_USER + 5)
#define		WM_TOR_ADJUST	(WM_USER + 6)

/////////////////////////////////////////////////////////////////////////////
// CAdjustTorsionDialog dialog

class CAdjustTorsionDialog : public CDialog
{
// Construction
public:
	CAdjustTorsionDialog(CWnd* pParent = NULL);   // standard constructor
	CAdjustTorsionDialog(CView *pView);
	BOOL Create();

	// Set the torsion angle
	void Set(float angle);

// Dialog Data
	//{{AFX_DATA(CAdjustTorsionDialog)
	enum { IDD = IDD_ADJUST_TOR };
	CSliderCtrl	m_slider;
	CString	m_tor;
	//}}AFX_DATA

private:
	//  A pointer to the "parent" view
	CView *m_pView;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAdjustTorsionDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAdjustTorsionDialog)
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual BOOL OnInitDialog();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADJUSTTORSIONDIALOG_H__D74815D5_E2F8_11D3_A364_00C04F72D141__INCLUDED_)
