//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/
// 
#if !defined(AFX_MEASUREDIALOG_H__B8559B57_E544_11D3_A365_00C04F72D141__INCLUDED_)
#define AFX_MEASUREDIALOG_H__B8559B57_E544_11D3_A365_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MeasureDialog.h : header file
//

#define		WM_MEASURE_CLOSE	(WM_USER + 7)
/////////////////////////////////////////////////////////////////////////////
// CMeasureDialog dialog

class CMeasureDialog : public CDialog
{
// Construction
public:
	CMeasureDialog(CView* pParent);
	BOOL Create();
	BOOL OnInitDialog();
	void UpdateMeasurements();

	CView *m_pView;
// Dialog Data
	//{{AFX_DATA(CMeasureDialog)
	enum { IDD = IDD_MEASURE };
	CString	m_a_num;
	CString	m_a_x;
	CString	m_a_y;
	CString	m_a_z;
	CString	m_angle_abc;
	CString	m_angle_bcd;
	CString	m_b_num;
	CString	m_b_x;
	CString	m_b_y;
	CString	m_b_z;
	CString	m_c_num;
	CString	m_c_x;
	CString	m_c_y;
	CString	m_c_z;
	CString	m_d_num;
	CString	m_d_x;
	CString	m_d_y;
	CString	m_d_z;
	CString	m_torsion_abcd;
	CString	m_bond_ab;
	CString	m_bond_bc;
	CString	m_bond_cd;
	CString	m_a_model;
	CString	m_b_model;
	CString	m_c_model;
	CString	m_d_model;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMeasureDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMeasureDialog)
	afx_msg void OnMeasureClose();
	afx_msg void OnMeasureClear();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MEASUREDIALOG_H__B8559B57_E544_11D3_A365_00C04F72D141__INCLUDED_)
