//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/

// A dockable molecule selection dialog box
#ifndef __QMOL_SELECT_BAR
#define	__QMOL_SELECT_BAR

#include "list.h"

#define		WM_UPDATE_SELECTION		(WM_USER + 23)

class CMolSelectBar:public CDialogBar {
private:
	BOOL m_initDock;
	CSize m_currSize;
	CListCtrl molList;
	
	CView *pView;

	void ReSizeBar();
protected:
	//{{AFX_MSG(CMolSelectBar)
	afx_msg LRESULT UpdateSelection(WPARAM wParam, LPARAM lParam);
	afx_msg void OnRclickSelection(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnSizing(UINT fwSide, LPRECT pRect);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	CMolSelectBar(CView* m_pView)
	{
		pView = m_pView;

		ASSERT(pView);

		// The main frame docking has not been performed yet
		m_initDock = FALSE;
	};

	void InitDock();

	void Show();
	void Hide();

	virtual CSize CalcDynamicLayout( int nLength, DWORD dwMode );
	BOOL ProcessSelectionMenu(int menuID);

	int GetSelectedMol();
	void GetSelectedMol(list<int> &m_molSel);
};

#endif // __QMOL_SELECT_BAR
