//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/
#if !defined(AFX_NETWORKPBDDIALOG_H__5DD24617_9D1F_4020_88E8_E4E6978446DF__INCLUDED_)
#define AFX_NETWORKPBDDIALOG_H__5DD24617_9D1F_4020_88E8_E4E6978446DF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NetworkPBDDialog.h : header file
//

#include "list.h"
#include "urlmon.h"

/////////////////////////////////////////////////////////////////////////////
// CNetworkPBDDialog dialog

class CNetworkPBDDialog : public CDialog, public IBindStatusCallback
{
// Construction
public:
	CNetworkPBDDialog(list<CString> &server_list, 
		list<CString> &query_list);

	BOOL OnInitDialog();
	BOOL ValidatQueryFormat();
	void ConstructRequest(CString &tmp_request, 
		CString &tmp_server, CString &tmp_query);

	void OnOK();

	// The name of the downloaded file
	char tmp_pdb_file[2*L_tmpnam];
	CString tmp_PDB_Id;

	list<CString> &m_server_list;
	list<CString> &m_query_list;

// Dialog Data
	//{{AFX_DATA(CNetworkPBDDialog)
	enum { IDD = IDD_NETWORK_DIALOG };
	CComboBox	m_server;
	CComboBox	m_pdb_id;
	CString	m_format;
	CString	m_net_status;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNetworkPBDDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CNetworkPBDDialog)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Implement the IBindStatusCallback interface to receive callback
// info about the progress of the download.
public:
		HRESULT STDMETHODCALLTYPE OnStartBinding( 
			/* [in] */ DWORD dwReserved,
            /* [in] */ IBinding __RPC_FAR *pib)
		{
			return S_OK;
		};
        
		HRESULT STDMETHODCALLTYPE GetPriority( 
            /* [out] */ LONG __RPC_FAR *pnPriority)
		{
			return S_OK;
		};
        
		HRESULT STDMETHODCALLTYPE OnLowResource( 
            /* [in] */ DWORD reserved)
		{
			return S_OK;
		};
        
		HRESULT STDMETHODCALLTYPE OnProgress( 
            /* [in] */ ULONG ulProgress,
            /* [in] */ ULONG ulProgressMax,
            /* [in] */ ULONG ulStatusCode,
            /* [in] */ LPCWSTR szStatusText)
		{
			// Keep the user informed of the download progress
			m_net_status.Format("%.2fkb read", ulProgress/1024.0f);
			UpdateData(FALSE);
			
			return S_OK;
		};
        
		HRESULT STDMETHODCALLTYPE OnStopBinding( 
            /* [in] */ HRESULT hresult,
            /* [unique][in] */ LPCWSTR szError)
		{
			return S_OK;
		};
        
		HRESULT STDMETHODCALLTYPE GetBindInfo( 
            /* [out] */ DWORD __RPC_FAR *grfBINDF,
            /* [unique][out][in] */ BINDINFO __RPC_FAR *pbindinfo)
		{
			return S_OK;
		};
        
		HRESULT STDMETHODCALLTYPE OnDataAvailable( 
            /* [in] */ DWORD grfBSCF,
            /* [in] */ DWORD dwSize,
            /* [in] */ FORMATETC __RPC_FAR *pformatetc,
            /* [in] */ STGMEDIUM __RPC_FAR *pstgmed)
		{
			return S_OK;
		};
        
       HRESULT STDMETHODCALLTYPE OnObjectAvailable( 
            /* [in] */ REFIID riid,
            /* [iid_is][in] */ IUnknown __RPC_FAR *punk)
	   {
			return S_OK;
	   };

	   // Implement the IUnknown interface too!
	   HRESULT STDMETHODCALLTYPE QueryInterface( 
            /* [in] */ REFIID riid,
            /* [iid_is][out] */ void __RPC_FAR *__RPC_FAR *ppvObject)
	   {
			return E_NOINTERFACE;
	   };
 
	   ULONG STDMETHODCALLTYPE AddRef(void)
	   {
			return 1;
	   };


	   ULONG STDMETHODCALLTYPE Release(void)
	   {
			return 1;
	   };
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NETWORKPBDDIALOG_H__5DD24617_9D1F_4020_88E8_E4E6978446DF__INCLUDED_)
