//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/
// 
#if !defined(AFX_OPENCOORDTRAJEC_H__ED2E25B8_E7BC_11D3_A365_00C04F72D141__INCLUDED_)
#define AFX_OPENCOORDTRAJEC_H__ED2E25B8_E7BC_11D3_A365_00C04F72D141__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OpenCoordTrajec.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// COpenCoordTrajec dialog

class COpenCoordTrajec : public CDialog
{
// Construction
public:
	COpenCoordTrajec(CWnd* pParent = NULL);   // standard constructor
	BOOL OnInitDialog();
	
	CString GetCoordFileName();
	CString GetTrajecFileName();
	int GetCoordFileType();
	int GetTrajecFileType();
	int GetTrajecProcess();
	
	CString coord_filename;
	CString trajec_filename;
	int coord_filetype;
	int trajec_filetype;
	int traj_process;

// Dialog Data
	//{{AFX_DATA(COpenCoordTrajec)
	enum { IDD = IDD_OPEN_COORD_TRAJEC };
	CEdit	m_trajec_name;
	CEdit	m_coord_name;
	CComboBox	m_trajec_type;
	CComboBox	m_coord_type;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COpenCoordTrajec)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(COpenCoordTrajec)
	afx_msg void OnOpenCoordTrajecBrowseCoord();
	afx_msg void OnOpenCoordTrajecBrowseTrajec();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnRadioCm();
	afx_msg void OnRadioKabsch();
	afx_msg void OnRadioVerbatim();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPENCOORDTRAJEC_H__ED2E25B8_E7BC_11D3_A365_00C04F72D141__INCLUDED_)
