//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/
#if !defined(AFX_PASTEDIALOG_H__018799C4_E4BD_4506_B25A_1CB7FC0FB55A__INCLUDED_)
#define AFX_PASTEDIALOG_H__018799C4_E4BD_4506_B25A_1CB7FC0FB55A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PasteDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPasteDialog dialog

class CPasteDialog : public CDialog
{
// Construction
public:
	CPasteDialog(int num_input, int num_atoms, int num_ca,
		CWnd* pParent = NULL);

	BOOL OnInitDialog();
	void Activate();

	// Enumerate the different paste options
	enum {PASTE_AS_T = 0, PASTE_AS_OCC};

	enum {PASTE_TO_ALL = 0, PASTE_TO_SINGLE, PASTE_TO_RANGE, PASTE_TO_CA};

protected:
	int atoms;	// The number of atoms (as an int)
	int inputs;	// The number of inputs (as an int)	
	int ca;		// The number of alpha carbons (as an int)

public:

	int paste_to;

// Dialog Data
	//{{AFX_DATA(CPasteDialog)
	enum { IDD = IDD_PASTE_DIALOG };
	int		m_single_atom_id;
	CString	m_num_atoms;
	CString	m_num_alpha;
	CString	m_num_input;
	int		m_paste_as;
	int		m_atom_range_high;
	int		m_atom_range_low;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPasteDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPasteDialog)
	virtual void OnOK();
	afx_msg void OnRadioPasteAll();
	afx_msg void OnRadioPasteAllCA();
	afx_msg void OnRadioPasteOne();
	afx_msg void OnRadioPasteRange();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PASTEDIALOG_H__018799C4_E4BD_4506_B25A_1CB7FC0FB55A__INCLUDED_)
