//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/
// 
#if !defined(AFX_RENDERMOVIEDIALOG_H__355C3E84_15FE_414C_B1D8_B46B9655118B__INCLUDED_)
#define AFX_RENDERMOVIEDIALOG_H__355C3E84_15FE_414C_B1D8_B46B9655118B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RenderMovieDialog.h : header file
//
#include "QmolMovie.h"

/////////////////////////////////////////////////////////////////////////////
// CRenderMovieDialog dialog

class CRenderMovieDialog : public CDialog
{
// Construction
public:
	CRenderMovieDialog(CView* pView);

	BOOL OnInitDialog();
	
	CView* m_pView;
	
	BOOL render_all;
	
	enum {COLOR_DEPTH_16, COLOR_DEPTH_24};

	// A movie class from writing AVI files
	QmolMovie movie;

	int current_step;
	int max_step;
	BOOL abortRender;

	// Provide access to the protected OnCancel member
	// function.
	void Close()
	{
		OnCancel();
	}

// Dialog Data
	//{{AFX_DATA(CRenderMovieDialog)
	enum { IDD = IDD_MOVIE_DIALOG };
	CSpinButtonCtrl	m_spin_width;
	CSpinButtonCtrl	m_spin_height;
	CSpinButtonCtrl	m_spin_fps;
	CComboBox	m_color_depth;
	CProgressCtrl	m_progress;
	CString	m_fps;
	CString	m_height;
	CString	m_name;
	CString	m_start;
	CString	m_stop;
	CString	m_width;
	BOOL	m_update_surf;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRenderMovieDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CRenderMovieDialog)
	afx_msg void OnButtonRecord();
	afx_msg void OnRadioAll();
	afx_msg void OnRadioRange();
	virtual void OnCancel();
	afx_msg void OnButtonBrowse();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RENDERMOVIEDIALOG_H__355C3E84_15FE_414C_B1D8_B46B9655118B__INCLUDED_)
