//	(c) 2000-2002 J. Gans (jdg9@cornell.edu), Shalloway Lab, 
//	Cornell University. You can modify and freely distribute 
//	this code, but please keep this header intact.
//
//	Look-and-feel inspired by Xmol 
//	(http://www.networkcs.com/msc/docs/xmol/).
//
//	OpenGL selection code and quaterion rotation matrix
//	formulation from molview demo program by Mark Kilgard
//	(http://reality.sgi.com/opengl/OpenGLforX.html). PostScript
//	rendering also from Mark Kilgard.
//
//	The printing routines are based on code from
//	Craig Fahrnbach <craignan@home.com> via
//	Uwe Kotyczka <kotyczka@bnm-gmbh.de>.
//
//	Covalent bond determination code based on VMD
//	http://www.ks.uiuc.edu/Research/vmd/
//
//	Stride (http://www.embl-heidelberg.de/stride/stride.html)
//	is used for secondary structure determination and has been 
//	included in Qmol with the kind permission of 
//	Dmitrij Frishman, PhD
//	Institute for Bioinformatics
//	GSF - Forschungszentrum fr Umwelt und Gesundheit, GmbH
//	Ingolstdter Landstrae 1,
//	D-85764 Neuherberg, Germany
//	Telephone: +49-89-3187-4201
//	Fax: +49-89-31873585
//	e-mail: d.frishman@gsf.de
//	WWW: http://mips.gsf.de/mips/staff/frishman/

#if !defined(AFX_SEQUENCEDIALOG_H__90E427EA_3531_4D31_9C93_C64B19E6E1B8__INCLUDED_)
#define AFX_SEQUENCEDIALOG_H__90E427EA_3531_4D31_9C93_C64B19E6E1B8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SequenceDialog.h : header file
//

#include "FlexColorDialog.h"

#define		WM_SEQUENCE_DIALOG		(WM_USER + 18)
#define		WM_SEQUENCE_RELOAD		(WM_USER + 19)

/////////////////////////////////////////////////////////////////////////////
// CSequenceDialog dialog

class CSequenceDialog : public CDialog
{
// Construction
public:
	CSequenceDialog(CWnd* pParent);   // standard constructor
	~CSequenceDialog();

	CView *pView;
	CFlexColorDialog *flexCDlg;

	BOOL Create();
	BOOL OnInitDialog();

// Dialog Data
	//{{AFX_DATA(CSequenceDialog)
	enum { IDD = IDD_SEQUENCE_DIALOG };
	CListCtrl	m_list;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSequenceDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSequenceDialog)
	virtual void OnCancel();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSizing(UINT fwSide, LPRECT pRect);
	afx_msg LRESULT LoadSequenceData(WPARAM wParam, LPARAM lParam);
	afx_msg void OnButtonColor();
	afx_msg LRESULT OnFlexColorMsg(WPARAM wParam, LPARAM lParam);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SEQUENCEDIALOG_H__90E427EA_3531_4D31_9C93_C64B19E6E1B8__INCLUDED_)
